> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loopreturns.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Product Variant

> Delete a product variant.



## OpenAPI

````yaml delete /products/{productId}/product-variants/{id}
openapi: 3.1.0
info:
  title: Products API
  version: v1
  description: >-
    The Products API allows managing your shop's products within the Loop
    Platform.


    ### Resource identifier format


    Resource identifiers (the `id` field and related global-identifier fields)
    are returned as JSON

    integers by default. To receive them as strings instead, send the

    `X-Loop-Global-Identifier-Type: string` request header.
  contact:
    name: Loop Returns
    url: https://loopreturns.com/
servers:
  - url: https://api.loopreturns.com/api/v1
security: []
tags:
  - name: Products
  - name: Product Variants
paths:
  /products/{productId}/product-variants/{id}:
    delete:
      tags:
        - Product Variants
      summary: Delete Product Variant
      description: Delete a product variant.
      operationId: deleteProductVariant
      parameters:
        - schema:
            type: integer
          name: productId
          in: path
          required: true
          description: The unique Loop identifier of the parent product.
          example: 1234567890
        - schema:
            type: integer
          name: id
          in: path
          required: true
          description: The product variant's unique identifier.
          example: 1123456789
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteProductVariantResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/responses/Unauthorized'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/responses/NotFound'
      security:
        - write: []
components:
  schemas:
    DeleteProductVariantResponse:
      title: ProductVariantDeleteResponse
      type: object
      properties:
        id:
          type: integer
          format: int64
          description: >-
            The unique integer identifier for the product variant, created by
            Loop.
          examples:
            - 98273402
          minimum: 1
        success:
          type: boolean
          readOnly: true
  responses:
    Unauthorized:
      description: >-
        Example response if request submitted without a valid API Key in
        X-Authorization.
      content:
        application/json:
          schema:
            type: object
            required:
              - errors
            properties:
              errors:
                type: string
                examples:
                  - Unauthorized.
      headers:
        X-Loop-Request-ID:
          schema:
            type: string
            examples:
              - 5a748e7c-5fcc-4fb0-a777-6a4d28e60d4c
            format: uuid
          description: UUID to aid in debugging API issues
    NotFound:
      description: The requested entity could not be found.
      content:
        application/json:
          schema:
            type: object
            required:
              - message
            properties:
              message:
                type: string
                examples:
                  - Resource not found.
      headers:
        X-Loop-Request-ID:
          schema:
            type: string
          description: UUID to aid in debugging API issues
  securitySchemes:
    write:
      name: X-Authorization
      type: apiKey
      in: header
      description: 'API Scope: "Product (write)"'

````